#
# spec file for package yast2-ftp-server
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-ftp-server
Version:        4.1.6
Release:        1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

# Yast2::Systemd::Service
Requires:       yast2 >= 4.1.3
BuildRequires:  update-desktop-files
# Yast2::Systemd::Service
BuildRequires:  yast2 >= 4.1.3
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  rubygem(%rb_default_ruby_abi:rspec)
BuildRequires:  rubygem(%rb_default_ruby_abi:yast-rake)

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - FTP configuration
License:        GPL-2.0-only
Group:          System/YaST

%description
This package contains the YaST2 component for FTP configuration. It can
configure vsftpd.

%prep
%setup -n %{name}-%{version}

%check
rake test:unit

%build

%install
rake install DESTDIR="%{buildroot}"

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/ftp-server
%{yast_yncludedir}/ftp-server/*
%{yast_clientdir}/ftp-server.rb
%{yast_clientdir}/ftp-server_*.rb
%{yast_moduledir}/FtpServer.*
%{yast_desktopdir}/ftp-server.desktop
%{yast_schemadir}/autoyast/rnc/ftp-server.rnc
%{yast_scrconfdir}/*.scr
%doc %{yast_docdir}
%license COPYING
%{yast_icondir}

%changelog
* Wed Dec  5 2018 jreidinger@suse.com
- always use absolute path to binaries (bsc#1118291)
- escape properly shell arguments (bsc#1118291)
- 4.1.6
* Sun Nov 25 2018 Stasiek Michalski <hellcp@mailbox.org>
- Provide icon with module (boo#1109310)
- 4.1.5
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Wed Aug 22 2018 dgonzalez@suse.com
- Update calls to YaST2 systemd classes (related to fate#319428)
- 4.1.4
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Wed Aug  8 2018 jlopez@suse.com
- Use new Yast2::ServiceWidget to manage the service status
  (part of fate#319428).
- 4.1.3
* Thu Jun 28 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.1.2
* Mon Jun 11 2018 jreidinger@suse.com
- Do not modify value when Browse dialog is canceled (bsc#1041829)
- 4.1.1
* Thu Jun  7 2018 jreidinger@suse.com
- Drop SSLv2 and SSLv3 as it is dropped for security reason for
  vsftpd (bsc#921303)
- 4.1.0
* Fri Apr 20 2018 knut.anderssen@suse.com
- bsc#1090387
  - Do not cache widgets description until the ftp dialog is really
    run to avoid showing an out of date firewall description (the
    vsftpd package provides the firewalld service definition)
- 4.0.5
* Wed Mar 21 2018 mfilka@suse.com
- bnc#1084434
  - use dash in port range definition
- 4.0.4
* Mon Mar  5 2018 knut.anderssen@suse.com
- Remove an unnecessary Frame which was still referencing
  SuSEfirewall (bsc#1083707)
- 4.0.3
* Thu Feb  8 2018 knut.anderssen@suse.com
- Replace CWMServiceStart xinetd methods or parameters by socket
  ones (fate#323373)
- 4.0.2
* Thu Feb  8 2018 jreidinger@suse.com
- convert starting on demand from Xinetd to systemd sockets due
  to drop of Xinetd (fate#323373)
- Drop pure-ftp as it does not provide systemd socket and we want
  to support only one backend to reduce the maintenance cost
- 4.0.1
* Mon Jan 29 2018 knut.anderssen@suse.com
- SuSEFirewall2 replaced by firewalld (fate#323460)
- 4.0.0
* Mon Jul 10 2017 schubi@suse.de
- Added missing StartDaemon flag to internal data structure in
  order to read it from the AY configuration file. (bnc#1047232)
- 3.3.0
* Wed Jan  4 2017 mvidner@suse.com
- Stub out yast2-inetd in our tests (bsc#932331)
- 3.2.1
* Wed Oct 26 2016 cwh@suse.com
- Switch to RSA certificates to match yast2-ca-management (bsc#694167)
- 3.2.0
* Tue Sep 20 2016 jreidinger@suse.com
- reduce rpm build time (bsc#999203)
- 3.1.10
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.9
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.8
* Fri Nov 28 2014 schubi@suse.de
- AutoYaST import: Initialize the correct ftpserver which will
  be used for configuration. (bnc#907354)
- 3.1.7
* Fri Oct  3 2014 ancor@suse.com
- Fixed a configuration problem preventing xinetd to handle vsftp,
  since it was always configured as standalone (bnc#897470).
- 3.1.6
* Thu Sep 18 2014 schubi@suse.de
- Autoyast Import:Evaluate the kind of ftpserver at first.
  (bnc#892701)
- 3.1.5
* Tue Aug 26 2014 schubi@suse.de
- Autoyast configuration mode: Set installation mode to "normal"
  before writing the settings. So the target system has to be
  set at first. (bnc#888212)
- 3.1.4
* Wed Aug 20 2014 cwh@suse.com
- Using different defaults about logging for vsftpd/pure-ftpd (bnc#888287)
- Setting xferlog_enable = YES instead of syslog_enable
- 3.1.3
* Fri Aug  1 2014 mvidner@suse.com
- Enabled YARD docs, documented the basics of FtpServer.
* Wed Jul 30 2014 schubi@suse.de
- Taking vsftpd ftp-server default in autoyast configuration module
  (bnc#888212)
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Wed Oct 10 2012 mfilka@suse.com
- Recognize [: ] as separator for PassivePortRange
- bnc#782386 and bnc#756612
- v2.22.1
* Thu Apr 19 2012 jsrain@suse.cz
- use the ButtonBox widget (bnc#684863)
* Mon Apr 16 2012 jsrain@suse.cz
- fixed reading of PureFTPD passive port range (bnc#756612)
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofed texts
- confirmed license
- 2.22.0
* Mon Sep 26 2011 visnov@suse.cz
- Set dialog title
- 2.21.1
* Mon Sep 19 2011 visnov@suse.cz
- remove dependency on Wizard_hw
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Mon Jul 25 2011 andrea.turrini@gmail.com
- Fixed typo in description of yast2-ftp-server.spec
* Mon Jul  4 2011 snwint@suse.de
- fixed typos (bnc #703104)
* Tue Feb 15 2011 jsrain@suse.cz
- fixed command line interface - not polling UI while reading the
  settings (bnc#660821)
- 2.20.0
* Thu Nov 18 2010 jsrain@suse.cz
- remove listen_ipv6 from vsftp.conf - it was preventing from
  running in standalone mode (bnc#632543)
* Fri Apr 23 2010 juhliarik@suse.cz
- added fix for parsing options from xinetd (bnc#597842)
- 2.19.0
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Mon Nov 30 2009 juhliarik@suse.cz
- added fix for typo (bnc#525007)
- added fir parsing port range in pure-ftpd (bnc#541557)
- 2.18.1
* Wed Feb 11 2009 juhliarik@suse.de
- deleted unecessary Back button (bnc#440531)
- using popup question about really abort only after some changes
  (bnc#460154 )
- 2.18.0
* Thu Nov 20 2008 juhliarik@suse.cz
- updated ftp-server for using yast module Users (bnc #445463)
- 2.17.3
* Thu Nov 13 2008 juhliarik@suse.cz
- added fix for settings upload directory for anonymous
  (bnc #409203)
- fixed typo (bnc #438092)
- 2.17.2
* Tue Sep 30 2008 juhliarik@suse.cz
- corrected typo in help text (bnc #407517)
- 2.17.1
* Thu Sep 11 2008 jsrain@suse.cz
- merged texts from proofread
* Fri Jun 27 2008 juhliarik@suse.cz
- added fix for using <b></b> in dialog (bnc #398519)
- 2.17.0
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Mon Apr 21 2008 juhliarik@suse.cz
- added fix for help text (bnc# 376702)
- V 2.16.11
* Wed Mar 19 2008 juhliarik@suse.cz
- fate #120373: Unified Button Labels
- V 2.16.10
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Sun Feb  3 2008 juhliarik@suse.cz
- selected text for localization  (bnc #446659)
* Fri Aug 24 2007 juhliarik@suse.cz
- added patch for changing permission and starting daemons
- V 2.15.9
* Tue Jul 31 2007 juhliarik@suse.cz
- added path for "Bad or unknown file 'ftp-server/uiforms.ycp'"
- V 2.15.8
* Mon Jul 30 2007 juhliarik@suse.cz
- added patch for pure-ftpd and running via xinetd
- added corrections into help text
- V 2.15.7
* Fri Jun 29 2007 juhliarik@suse.cz
- added patch for creating upload dir
- added patch for position of ftp-server icon in YaST
- V 2.15.6
* Wed May 30 2007 juhliarik@suse.cz
- added patch for uploading anonymous users via vsftpd
- added creation "upload" subdirectory with writing permission
- V 2.15.5
* Thu May 10 2007 juhliarik@suse.cz
- added corrections for starting daemon via "when booting"
- added corrections for help text
- changed UI for installing package (if missing)
- V 2.15.4
* Thu May  3 2007 juhliarik@suse.cz
- added parsing of options from xinetd for pure-ftpd
- correction for changes ftp directories for ftp users
- changed UI
- V 2.15.3
* Thu Apr 19 2007 juhliarik@suse.cz
- added ftp-server icon
- added correct name (FTP Server)
- changed destop file
- V 2.15.2
* Wed Apr 18 2007 juhliarik@suse.cz
- add checking certificate (SSL)
- corrections for UI selection version of SSL
- update commandline
- 2.15.1
* Fri Apr  6 2007 juhliarik@suse.cz
- initial version
- 2.15.0
